<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Analisis extends CI_Controller {

    public function __construct()
    {
        parent::__construct();
        //load model admin
        $this->load->model('admin');
    }

    public function index()
    {
        if($this->admin->login())
        {
        
            $this->form_validation->set_rules( 'min_support', 'Minimal Support', 'required' );
            $this->form_validation->set_rules( 'min_confidence', 'Minimal Confidence', 'required' );
                    
            $row = $this->db->query("SELECT MIN(transaction_date) AS tanggal_awal, MAX(transaction_date) AS tanggal_akhir FROM tbl_transaksi")->row();
            $data['tanggal_awal'] = $row->tanggal_awal ? $row->tanggal_awal : date('Y-01-01');
            $data['tanggal_akhir'] = $row->tanggal_akhir ? $row->tanggal_akhir : date('Y-m-d');
                                    
            if ($this->form_validation->run() === FALSE)
            {
                $data['sidemenu'] = $this->load->view('layout/sidemenu',array(),true);
                $data['header'] = $this->load->view('layout/header',array("username" => $this->session->userdata('username')),true);
                $data['menu'] = $this->load->view('layout/menu',array("username" => $this->session->userdata('username')),true);
                $data['footer'] = $this->load->view('layout/footer',array(),true);
                $this->load->view('apriori', $data);  
            }
            else
            {                        
                $data['sidemenu'] = $this->load->view('layout/sidemenu',array(),true);
                $data['header'] = $this->load->view('layout/header',array("username" => $this->session->userdata('username')),true);
                $data['menu'] = $this->load->view('layout/menu',array("username" => $this->session->userdata('username')),true);
                $data['footer'] = $this->load->view('layout/footer',array(),true);
                $this->load->view('apriori_hasil', $data);  
            }     

        }else{
            //jika session belum terdaftar, maka redirect ke halaman login
            redirect(site_url());
        }
    }

    public function logout()
    {
        $this->session->sess_destroy();
        redirect(site_url());
    }

}