<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Dokumentasi extends CI_Controller {

    public function __construct()
    {
        parent::__construct();
        //load model admin
        $this->load->model('admin');
    }

    public function index()
    {
        if($this->admin->login())
        {

            $data['sidemenu'] = $this->load->view('layout/sidemenu',array(),true);
            $data['header'] = $this->load->view('layout/header',array("username" => $this->session->userdata('username')),true);
            $data['menu'] = $this->load->view('layout/menu',array("username" => $this->session->userdata('username')),true);
            $data['footer'] = $this->load->view('layout/footer',array(),true);
            $this->load->view('dokumentasi', $data);
        }else{
            //jika session belum terdaftar, maka redirect ke halaman login
            redirect(site_url());
        }
    }

    public function logout()
    {
        $this->session->sess_destroy();
        redirect(site_url());
    }

}