<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Transaksi_model extends CI_Model {

    private $db2;

    public function __construct()
        {
            parent::__construct();
                $this->db2 = $this->load->database('stocknasa', TRUE);
        }

	public function showAllTransaksi() {
		$query = $this->db->get('tbl_transaksi');
		if($query->num_rows() > 0) {
			return $query->result();
		} else {
			return FALSE;
		}
	}

    public function selectFromStockNasa(){
        $sql = "select dp.id_penjualan, cast(p.tgl as date) as transaction_date, group_concat(b.nama_barang) as produk from penjualan p join detail_penjualan dp on p.id_penjualan = dp.id_penjualan join barang b on b.id_barang = dp.id_barang group by dp.id_penjualan having count(dp.id_penjualan) > 1";
        $query = $this->db2->query($sql);
        if (count($query) > 0) {
            return $query->result();
        } else {
            return FALSE;
        }
    }

    public function deleteAllTransaksi(){
        $this->db->truncate('tbl_transaksi');
        $this->db->query("ALTER TABLE tbl_transaksi AUTO_INCREMENT = 1");
    }

    // Buat sebuah fungsi untuk melakukan insert lebih dari 1 data
    public function insert_multiple($data){
        $this->db->insert_batch('tbl_transaksi', $data);
    }

}