<!-- HEADER -->
<?php echo $header;?>
<!-- END HEADER -->

<!-- MENU -->
<?php echo $menu;?>
<!-- END MENU -->

<!-- SIDEMENU -->
<?php echo $sidemenu;?>
<!-- END SIDEMENU -->

<!-- CONTENT -->
<div class="col-sm-9 col-sm-offset-3 col-lg-10 col-lg-offset-2 main">     

<div class="page-header">
  <h3>Hasil Apriori</h3>
</div>
<?php
$awal = $this->input->get('awal');
$akhir = $this->input->get('akhir');
$supp = $this->input->get('supp');
$conf = $this->input->get('conf');

$row =  $this->db->query("SELECT * FROM tbl_hasil WHERE awal='$awal' AND akhir='$akhir' AND supp='$supp' AND conf='$conf'")->row();

$data = unserialize($row->data);?>

<div class="row">
    <div class="col-md-4">
        <div class="panel panel-primary">
            <div class="panel-heading">
                <h3 class="panel-title">Pengaturan</h3>
            </div>
            <div class="table-responsive">
                <table class="table table-bordered">
                    <tr>
                        <td>Start Date</td>
                        <td><?=$row->awal?></td>
                    </tr>
                    <tr>
                        <td>End Date</td>
                        <td><?=$row->akhir?></td>
                    </tr>
                    <tr>
                        <td>Min. Support</td>
                        <td><?=$row->supp?></td>
                    </tr>
                    <tr>
                        <td>Min. Confidence</td>
                        <td><?=$row->conf?></td>
                    </tr>
                </table>
            </div>
        </div>
    </div>
</div>
<?php foreach($data as $itemset => $row_data):
//echo '<pre>' . print_r($row_data, 1) . '</pre>';
    ?>
    <div class="panel panel-primary">
        <div class="panel-heading">
            <h3 class="panel-title">
              <a href="#c2_<?=$itemset?>" data-toggle="collapse">C<?=$itemset?> (Kandidat <?=$itemset?>-itemset)</a>
            </h3>
        </div>
        <div class="table-responsive collapse" id="c2_<?=$itemset?>">
            <table class="table table-bordered table-striped">
                <thead><tr>
                    <th>No</th>
                    <th>Items</th>
                    <th>Qty</th>
                    <th>Support</th>
                </tr></thead>
                <?php foreach($row_data['kandidat'] as $key => $val):?>
                <tr>
                    <td><?=$val[0]?></td>
                    <td><?=$val[1]?></td>
                    <td><?=$val[2]?></td>
                    <td><?=round($val[3], 2)?></td>
                </tr>
                <?php endforeach?>
            </table>            
        </div>
    </div>
    <div class="panel panel-primary">
        <div class="panel-heading">
            <h3 class="panel-title">
              <a href="#c3_<?=$itemset?>" data-toggle="collapse">L<?=$itemset?> (Large <?=$itemset?>-itemset)</a>
            </h3>
        </div>
        <div class="table-responsive collapse" id="c3_<?=$itemset?>">
            <table class="table table-bordered table-striped">
                <thead><tr>
                    <th>No</th>
                    <th>Items</th>
                    <th>Qty</th>
                    <th>Support</th>
                </tr></thead>
                <?php foreach($row_data['large'] as $key => $val):?>
                <tr>
                    <td><?=$val[0]?></td>
                    <td><?=$val[1]?></td>
                    <td><?=$val[2]?></td>
                    <td><?=round($val[3], 2)?></td>
                </tr>
                <?php endforeach?>
            </table>            
        </div>
    </div>    
    <?php if(isset($row_data['asosiasi'])):?>
    <div class="panel panel-primary">
        <div class="panel-heading">
            <h3 class="panel-title">Aturan Asosiasi <?=$itemset?> Itemset</h3>
        </div>
        <div class="table-responsive">
            <table class="table table-bordered table-striped">
                <thead><tr>
                    <th>No</th>
                    <th>Rule</th>
                    <th>Support</th>
                    <th>Confidence</th>
                    <th>Supp. * Conf.</th>
                    <th>Lift Ratio</th>
                </tr></thead>
                <?php foreach($row_data['asosiasi'] as $key => $val):?>
                <tr class="<?=$val[3] >= $row->conf/100 ? '' : 'danger'?>">
                    <td><?=$val[0]?></strong></td>
                    <td><?=$val[1]?></td>
                    <td><?=$val[2]?></td>
                    <td><?=round($val[3], 2)?></td>
                    <td><?=round($val[4], 2)?></td>
                    <td><?=round($val[5], 2)?></td>
                </tr>
                <?php endforeach?>
            </table>
        </div>
    </div>
    <?php endif?>    
<?php endforeach;?>
</div>

</div>  <!--/.main-->
<!-- END CONTENT -->

<!-- FOOTER -->
<?php echo $footer;?>
<!-- END FOOTER -->