<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class HasilAnalisis extends CI_Controller {

    public function __construct()
    {
        parent::__construct();
        //load model admin
        $this->load->model('admin');
    }

    public function index()
    {
        if($this->admin->login())
        {

            $data['sidemenu'] = $this->load->view('layout/sidemenu',array(),true);
            $data['header'] = $this->load->view('layout/header',array("username" => $this->session->userdata('username')),true);
            $data['menu'] = $this->load->view('layout/menu',array("username" => $this->session->userdata('username')),true);
            $data['footer'] = $this->load->view('layout/footer',array(),true);

            $data['rows'] = $this->db->query("SELECT * FROM tbl_hasil")->result();

            $this->load->view('hasil', $data);
        }else{            
            redirect(site_url());
        }
    }

    public function detail()
    {
        if($this->admin->login())
        {

            $data['sidemenu'] = $this->load->view('layout/sidemenu',array(),true);
            $data['header'] = $this->load->view('layout/header',array("username" => $this->session->userdata('username')),true);
            $data['menu'] = $this->load->view('layout/menu',array("username" => $this->session->userdata('username')),true);
            $data['footer'] = $this->load->view('layout/footer',array(),true);
            $this->load->view('hasil_detail', $data);
        } else{            
            redirect(site_url());
        }
    }
    public function cetak()
    {
        if($this->admin->login())
        {            
            $this->load->view('hasil_detail_cetak');
        } else {            
            redirect(site_url());
        }
    }

    public function logout()
    {
        $this->session->sess_destroy();
        redirect(site_url());
    }

}