<?php
function get_items($data){
    $arr = array();
    foreach($data as $key => $val){
        foreach($val as $k => $v){
            $arr[$v] = $v;
        }
    }
    $arr = array_values($arr);
    return $arr;
}
function get_data($rows){
    $arr = array();
    foreach($rows as $row){
        $arr[] = explode(',', strtolower($row->produk));
    }
    return $arr;  
}

function get_match($needed, $data){
    $matches = 0;
    foreach($data as $key => $val){
        $counter = 0;            
        foreach($val as $k => $v){
            if(in_array($v, $needed))
                $counter++;
        }
        if($counter >= count($needed))
            $matches++;
    }
    return $matches;
}

function get_com_category($arr_kategory, $itemset){        
    $arr = array(array());                
    for($a = 0; $a < $itemset; $a++){         
        $arr = add_combination($arr, $arr_kategory, $a);
    }    
    return $arr;
}

function add_combination($arr, $keys, $level){    
    $a = array();
    
    $b = 0;
    foreach($arr as $key => $val){
        
        for($i = $level + $b; $i < count($keys); $i++){                
            $x = is_array($val) ? $val : array();            
            array_push($x, $keys[$i]);
            $a[] = $x;
        }
        $b++;
    }
    return $a;
}

function get_candidate($data, $com_category){
    $arr = array();    
    foreach($com_category as $key => $val){        
        $arr[$key] = get_match($val, $data);
    }
    return $arr;    
}

function get_support($candicate, $total){
    $arr = array();
    foreach($candicate as $key => $val){
        $arr[$key] = $val / $total;
    }
    return $arr;
}
function filter_candicate($candicate, $support, $min_support){
    $arr = array();
    foreach($candicate as $key => $val){
        if($support[$key]>=$min_support)
            $arr[$key] = $val;
    }
    return $arr;
}

function filter_category($l_can, $com_category){
    $arr = array();
    foreach($l_can as $key => $val){
        foreach($com_category[$key] as $v){
            $arr[$v] = $v;
        }
    }
    return array_values($arr);
}

function ass_key($large_candicate, $com_category){
    
    $category = filter_category($large_candicate, $com_category);
    
    $arr = array();
    foreach($large_candicate as $key => $val){
        $arr[$key] = $com_category[$key];
    }
    
    $arr2 = array();
    $no = 0;
    foreach($arr as $key => $val){
        for($a = 0; $a < count($val); $a++){                                       
            $arr2[$no]['left'] = $val;
            $arr2[$no]['right'] = $val[$a];
            unset($arr2[$no]['left'][$a]);    
            $arr2[$no]['index'] = $key;
            $no++;
        }                
    }
    
    $arr = $arr2;
    
    return $arr;
}

function get_ass_qty($ass_key, $data){
    $arr = array();
    foreach($ass_key as $key => $val){
        $arr[$key] = get_match($val['left'], $data);
    }
    return $arr;
}

function get_confidence($ass_key, $ass_qty, $large_candicate){
    $arr = array();
    foreach($ass_key as $key => $val){
        $arr[$key] = $large_candicate[$val['index']] / $ass_qty[$key];
    }
    return $arr;
}