<!-- HEADER -->
<?php echo $header;?>
<!-- END HEADER -->

<!-- MENU -->
<?php echo $menu;?>
<!-- END MENU -->

<!-- SIDEMENU -->
<?php echo $sidemenu;?>
<!-- END SIDEMENU -->

<!-- CONTENT -->
<div class="col-sm-9 col-sm-offset-3 col-lg-10 col-lg-offset-2 main">     

<div class="page-header">
  <h3>Apriori</h3>
</div>
<?php
$tanggal_awal = set_value('tanggal_awal', $tanggal_awal);
$tanggal_akhir = set_value('tanggal_akhir', $tanggal_akhir);

$rows =  $this->db->query("SELECT * FROM tbl_transaksi 
  WHERE transaction_date>='$tanggal_awal' AND transaction_date<='$tanggal_akhir'")->result();

$data = get_data($rows);
$items = get_items($data);

$min_support = set_value('min_support', 25);
$min_confidence = set_value('min_confidence', 25);

$arr_kategory = $items;
?>
<div class="panel panel-primary">
    <div class="panel-heading">
        <h3 class="panel-title">
          <a href="#c1" data-toggle="collapse">Itemset</a>
        </h3>
    </div>
    <div class="table-responsive collapse" id="c1">
        <table class="table table-bordered table-striped datatable">
            <thead><tr>
              <th>No</th>
              <th>Data</th>
            </tr></thead>
            <?php 
            $no = 1;
            foreach($data as $key => $val):?>
            <tr>
                <td>T<?=$key++?></td>
                <td><?=implode(', ', $val)?></td>
            </tr>
            <?php endforeach?>
        </table>            
    </div>
</div>
<?php 
$itemset = 1;
$stop = false;
$large_candicate = array();
$com_category = array();
$support = array();

$content = array();

while(!$stop){
        
    $com_category = get_com_category($arr_kategory, $itemset);
    $qty = get_candidate($data, $com_category);            
    
    $support = get_support($qty, count($data)); 
    $large_candicate = filter_candicate($qty, $support, $min_support / 100); 
    
    //echo '<pre>' . print_r($support, 1) . '</pre>'; 

    if($large_candicate){?>
    <div class="panel panel-primary">
        <div class="panel-heading">
            <h3 class="panel-title">
              <a href="#c2_<?=$itemset?>" data-toggle="collapse">C<?=$itemset?> (Kandidat <?=$itemset?>-itemset)</a>
            </h3>
        </div>
        <div class="table-responsive collapse" id="c2_<?=$itemset?>">
            <table class="table table-bordered table-striped">
                <thead><tr>
                    <th>No</th>
                    <th>Items</th>
                    <th>Qty</th>
                    <th>Support</th>
                </tr></thead>
                <?php 
                $no = 1;                                                                       
                foreach($com_category as $key => $val):
                $content[$itemset]['kandidat'][] = array(
                    $no,
                    implode(', ', $val),
                    $qty[$key],
                    $support[$key],
                );
                    ?>
                <tr>
                    <td><?=$no++?></td>
                    <td><?=implode(', ', $val)?></td>
                    <td><?=$qty[$key]?></td>
                    <td><?=round($support[$key], 2)?></td>
                </tr>
                <?php endforeach?>
            </table>            
        </div>
    </div>
    <div class="panel panel-primary">
        <div class="panel-heading">
            <h3 class="panel-title">
              <a href="#c3_<?=$itemset?>" data-toggle="collapse">L<?=$itemset?> (Large <?=$itemset?>-itemset)</a>
            </h3>
        </div>
        <div class="table-responsive collapse" id="c3_<?=$itemset?>">
            <table class="table table-bordered table-striped">
                <thead><tr>
                    <th>No</th>
                    <th>Items</th>
                    <th>Qty</th>
                    <th>Support</th>
                </tr></thead>
                <?php 
                $no = 1;                       
                foreach($large_candicate as $key => $val):
                $content[$itemset]['large'][] = array(
                    $no,
                    implode(', ', $com_category[$key]),
                    $large_candicate[$key],
                    $support[$key],
                );?>
                <tr>
                    <td><?=$no++?></td>
                    <td><?=implode(', ', $com_category[$key])?></td>
                    <td><?=$large_candicate[$key]?></td>
                    <td><?=round($support[$key], 2)?></td>
                </tr>
                <?php endforeach?>
            </table>            
        </div>
    </div>    
    <?php if($itemset>1):
      $ass_key = ass_key($large_candicate, $com_category);
      $ass_qty = get_ass_qty($ass_key, $data);
      $confidence = get_confidence($ass_key, $ass_qty, $large_candicate);
      ?>
      <div class="panel panel-primary">
        <div class="panel-heading">
            <h3 class="panel-title">Aturan Asosiasi <?=$itemset?> Itemset</h3>
        </div>
        <div class="table-responsive">
            <table class="table table-bordered table-striped">
                <thead><tr>
                    <th>No</th>
                    <th>Rule</th>
                    <th>Support</th>
                    <th colspan="2">Confidence</th>
                    <th>Supp. * Conf.</th>
                    <th>Lift Ratio</th>
                </tr></thead>
                <?php 
                $no = 1;
                $total = count($data);
                foreach($ass_key as $key => $val):
                    $support_B = get_match(array($val['right']), $data)/$total;
                    $content[$itemset]['asosiasi'][] = array(
                    $no, 
                    "Jika konsumen membeli <strong>".implode(', ', $val['left'])."</strong> maka membeli <strong>".$val['right']."</strong>",
                    round($support[$val['index']], 2),
                    round($confidence[$key], 2),
                    round($support[$val['index']] * $confidence[$key], 2),
                    round(round($confidence[$key],2)/round($support_B,2), 2),
                  );
                  ?>
                <tr class="<?=$confidence[$key]>=$min_confidence/100 ? '' : 'danger'?>">
                    <td><?=$no++?></td>
                    <td>Jika konsumen membeli <strong><?=implode(', ', $val['left'])?></strong> maka membeli <strong><?=$val['right']?></strong></td>
                    <td><?=round($support[$val['index']], 2)?></td>
                    <td><?=$large_candicate[$val['index']]?>/<?=$ass_qty[$key]?></td>
                    <td><?=round($confidence[$key], 2)?></td>
                    <td><?=round($support[$val['index']] * $confidence[$key], 2)?></td>
                    <td><?=round(round($confidence[$key],2)/round($support_B,2), 2)?></td>
                </tr>
                <?php endforeach?>
            </table>
        </div>
    </div>
    <?php endif?>
    <?php
        $arr_kategory = filter_category($large_candicate, $com_category);
        $itemset++; 
        if(count($large_candicate)<1)
            $stop = true;
        if($itemset > count($items))
            $stop = true;
    }else{
        $stop = true;     
    };   

}


$this->db->query("REPLACE INTO tbl_hasil (awal, akhir, supp, conf, data)
        VALUES ('$tanggal_awal', '$tanggal_akhir', '$min_support', '$min_confidence', '".serialize($content)."')");
?>

</div>


</div>  <!--/.main-->
<!-- END CONTENT -->

<!-- FOOTER -->
<?php echo $footer;?>
<!-- END FOOTER -->