<!-- HEADER -->
<?php echo $header;?>
<!-- END HEADER -->

<!-- MENU -->
<?php echo $menu;?>
<!-- END MENU -->

<!-- SIDEMENU -->
<?php echo $sidemenu;?>
<!-- END SIDEMENU -->

<!-- CONTENT -->
<div class="col-sm-9 col-sm-offset-3 col-lg-10 col-lg-offset-2 main">     
    <div class="row">
      <ol class="breadcrumb">
        <li><a href="<?php echo site_url(); ?>"><svg class="glyph stroked home"><use xlink:href="#stroked-home"></use></svg></a></li>
        <li class="active">Hasil Analisis</li>
      </ol>
    </div><!--/.row-->
    
    <div class="row">
      <div class="col-lg-12">
        <h1 class="page-header">Hasil Analisis</h1>
        <div class="table-responsive">
            <table class="table table-bordered table-striped">
                <thead><tr>
                    <th>No</th>
                    <th>Star Date</th>
                    <th>End Date</th>
                    <th>Min. Support</th>
                    <th>Min. Confidence</th>
                    <th>#</th>
                </tr></thead>
                <?php 
                $rows = $this->db->query("SELECT * FROM tbl_hasil")->result();
                $no = 1;
                foreach($rows as $row):?>
                <tr>
                    <td><?=$no++?></td>
                    <td><?=$row->awal?></td>
                    <td><?=$row->akhir?></td>
                    <td><?=$row->supp?></td>
                    <td><?=$row->conf?></td>
                    <td>
                        <a class="btn btn-info" href="<?=site_url("hasilanalisis/detail?awal=$row->awal&akhir=$row->akhir&supp=$row->supp&conf=$row->conf")?>">View Rule</a>
                        <a class="btn btn-default" href="<?=site_url("hasilanalisis/cetak?awal=$row->awal&akhir=$row->akhir&supp=$row->supp&conf=$row->conf")?>" target="_blank">Print</a>
                    </td>
                </tr>
                <?php endforeach?>
            </table>
        </div>
    </div>
    </div><!--/.row-->
</div>  <!--/.main-->
<!-- END CONTENT -->

<!-- FOOTER -->
<?php echo $footer;?>
<!-- END FOOTER -->

